# Define the library
meshIO_sources = files(
  'private/meshIO.cpp',
)

meshIO_headers = files(
    'public/meshIO.h'
)
dependencies = [
    mfem_dep
]
# Define the libmeshIO library so it can be linked against by other parts of the build system
libmeshIO = static_library('meshIO',
    meshIO_sources, 
    include_directories: include_directories('public'),
    cpp_args: ['-fvisibility=default'],
    dependencies: dependencies,
    install : true)

meshio_dep = declare_dependency(
    include_directories: include_directories('public'),
    link_with: libmeshIO,
    dependencies: dependencies
)

# Make headers accessible
install_headers(meshIO_headers, subdir : '4DSSE/meshIO')